package cn.superdesk.uniorder.dao.mapper.fund;

import cn.superdesk.uniorder.dao.entity.fund.SysFundActivated;
import cn.superdesk.uniorder.dao.entity.fund.SysFundActivatedExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface SysFundActivatedMapper {
    long countByExample(SysFundActivatedExample example);

    int deleteByExample(SysFundActivatedExample example);

    int deleteByPrimaryKey(Long id);

    int insert(SysFundActivated record);

    int insertSelective(SysFundActivated record);

    List<SysFundActivated> selectByExample(SysFundActivatedExample example);

    SysFundActivated selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") SysFundActivated record, @Param("example") SysFundActivatedExample example);

    int updateByExample(@Param("record") SysFundActivated record, @Param("example") SysFundActivatedExample example);

    int updateByPrimaryKeySelective(SysFundActivated record);

    int updateByPrimaryKey(SysFundActivated record);
}